<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">

	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT info, c.id AS id 
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile ON queue = info 
							ORDER BY info
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile o ON o.queue = info
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users USING (queue)
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
						</sql:query>
					</c:otherwise>
				</c:choose>
				
				
				<h2><fmt:message key="reportcampaignsresult.title"/></h2>
					<form method="get" name="formulario" action="reportCampaignsResult.jsp">
	 					<table class="query">
	 						<tr class="plain">
								<td class="query"> <fmt:message key="reportcampaignsresult.from"/>: </td>
								<td class="query">
									<input name="afterDate" id="date" type="text" size="10"/>
									<input name="afterTime" id="afterTime" type="text" size="5"/>
									<script type="text/javascript">
									<!--
										if (document.formulario.date.value.length == 0)
											document.formulario.date.value=getCurrentDate();
										if (document.formulario.afterTime.value.length == 0)
											document.formulario.afterTime.value="00:00";
									-->
									</script>
                  <fmt:message key="reportcampaignsresult.calendar" var="calendar"/>
                  <img src="../calendar/calendar.jpg" title="${calendar}" alt="${calednar}" onclick="scwShow(document.getElementById('date'),this);" />
								</td>
							</tr>
							<tr class="plain">
								<td class="query"> <fmt:message key="reportcampaignsresult.to"/>: </td>
								<td class="query">
									<input name="beforeDate" id="beforeDate" type="text" size="10"/>
									<input name="beforeTime" id="beforeTime" type="text" size="5"/>
									<script type="text/javascript">
									<!--
										if (document.formulario.beforeDate.value.length == 0)
											document.formulario.beforeDate.value=getCurrentDate();
										if (document.formulario.beforeTime.value.length == 0)
											document.formulario.beforeTime.value=getCurrentTime();
									-->
									</script>
                  <img src="../calendar/calendar.jpg" title="${calendar}" alt="$calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
                  <c:set var="calendar" value=""/>
								</td> 
							</tr>
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsresult.campaign"/>:</td>
								<td class="query">
									<select name="campaign">
										<option value="all" selected="selected"><fmt:message key="all.female"/></option>
										<c:forEach var="row" varStatus="stat" items="${rs.rows}">
											<option value="${row.id}">${row.info}</option>
										</c:forEach>
									</select> 
								</td>
							</tr>
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsresult.label"/>:</td>
								<td class="query">
									<input name="label" type="text" size="20" maxlength="20"/>
									<select name="labelType">
										<option value="1"><fmt:message key="equals"/></option>
										<option value="2" selected="selected"><fmt:message key="contains"/></option>
										<option value="3"><fmt:message key="startswith"/></option>
										<option value="4"><fmt:message key="endswith"/></option>
									</select> 
								</td>
							</tr>
							<tr class="plain">
								<td class="query" colspan="3">
									<fmt:message key="reportcampaignsresult.submit" var="submit"/>
									<input class="boton" type="submit" name="show" value="${submit}"/>
									<c:set var="submit" value=""/>
								</td>
							</tr>
						</table>
					</form>
			</c:when>
			
			<c:otherwise>
				<jsp:useBean id="reportResult" class="ipcontact.campaigns.fast.ReportCampaignResultBean" scope="page">
				<jsp:setProperty name="reportResult" property="*"/>
					<c:set target="${reportResult}" property="user" value="${sessionScope.username}"/>
					<c:set target="${reportResult}" property="role" value="${sessionScope.role}"/>
					<c:set target="${reportResult}" property="ipcontactTable" value="${sessionScope.role}"/>
					<c:set target="${reportResult}" property="network" value="${sessionScope.connection}"/>
				</jsp:useBean>

				<c:set var='table' scope="session" value='${reportResult.data}'/>
				
				<h3><fmt:message key="reportcampaignsresult.title"/></h3>
					<h3>
						<table>
							<tr>
								<td><fmt:message key="reportcampaignsresult.from"/>:</td>
								<td>${param.afterDate}</td>
								<td>${param.afterTime}</td>
							</tr>
							<tr>
								<td><fmt:message key="reportcampaignsresult.to"/>:</td>
								<td>${param.beforeDate}</td>
								<td>${param.beforeTime}</td>
							</tr>
						</table>
				</h3>
				
				<table class="data">
            <c:set var="headers" value="true"/>
            <c:set var="headers_intl" value="1"/>
            <c:forEach var="row" varStatus="stat" items="${table}">
                <c:choose>  
                    <c:when test="${headers == true}">
                        <tr class="tit">
                        
                        <c:forEach var="row2" items="${row}">
                            <c:choose>
                                <c:when test="${headers_intl <= 4}">
                                    <th><fmt:message key="${row2}"/></th>
                                    <c:set var="headers_intl" value="${headers_intl+1}"/>
                                </c:when>
                                <c:otherwise>
                                    <th>${row2}</th>
                                </c:otherwise>
                            </c:choose>
                        </c:forEach>
                        <c:set var="headers" value="false"/>
                    </c:when>
                    <c:otherwise>
                        <c:choose>  
                            <c:when test="${stat.count % 2 == 0}">
                                <tr class="even">
                            </c:when>
                            <c:otherwise>
                                <tr class="odd">
                            </c:otherwise>
                        </c:choose>
                        
                        <c:forEach var="row2" items="${row}">
                            <td class="data">${row2}</td>
                        </c:forEach>
                    </c:otherwise>
                </c:choose>
                </tr>
            </c:forEach>
					</table>
			
          <c:if test="${its_working}">
				    <c:url var="linkPDF" value="../servlet/ipcontact.Reports">
				    	<c:param name="reportFile" value="landscape-report.xml"/>
				    	<c:param name="template" value="reportCampaigns.xml"/>
				    	<c:param name="reportType" value="pdf"/>
				    	<c:param name="filename" value="reporte_campanhas"/>
				    	<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				    	<c:if test="${not empty sessionScope.locale}">
				    		<c:param name="locale" value="${sessionScope.locale}"/>
				    	</c:if>
				    </c:url>
				    
				    <c:url var="linkXLS" value="../servlet/ipcontact.Reports">
				    	<c:param name="reportFile" value="landscape-report.xml"/>
				    	<c:param name="template" value="reportCampaigns.xml"/>
				    	<c:param name="reportType" value="xls"/>
				    	<c:param name="filename" value="reporte_campanhas"/>
				    	<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				    	<c:if test="${not empty sessionScope.locale}">
				    		<c:param name="locale" value="${sessionScope.locale}"/>
				    	</c:if>
				    </c:url>
			
				    <c:url var="linkCSV" value="../servlet/ipcontact.Reports">
				    	<c:param name="reportFile" value="landscape-report.xml"/>
				    	<c:param name="template" value="reportCampaigns.xml"/>
				    	<c:param name="reportType" value="csv"/>
				    	<c:param name="filename" value="reporte_campanhas"/>
				    	<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				    	<c:if test="${not empty sessionScope.locale}">
				    		<c:param name="locale" value="${sessionScope.locale}"/>
				    	</c:if>
				    </c:url>
				    <%@ include file="../include/export.jsp" %>
          </c:if>
			
			</c:otherwise>
		</c:choose>
    </fmt:bundle>
</div>
</body>
</html>	
				
