<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>

<fmt:bundle basename="campaigns">
  <div id="right">
    <c:if test="${not empty sessionScope.message}">
      <c:set var="class" value="error"/>
      <c:if test="${sessionScope.messageType eq \"error\"}">
        <c:set var="class" value="error"/>
      </c:if>
      <c:if test="${sessionScope.messageType eq \"ok\"}">
        <c:set var="class" value="ok"/>
      </c:if>
      <div class="${class}">
        <c:set var="class" value=""/>
        ${sessionScope.message}
        <c:set var="message" value="" scope="session"/>
      </div>
    </c:if>

    <sql:query var="rsCamp" dataSource="jdbc/callcenterRO">
      SELECT id, info FROM campanias
      ORDER BY info
    </sql:query>

    <h2>Generar números telefónicos aleatoriamente</h2>
    <c:choose>
      <c:when test="${(empty param.campaign)}">
        <form method="post" action="generateNumbers.jsp" name="formulario">
          <table class="query">
            <tr class="plain">
              <td class="query">Campaña</td>
              <td class="query">               
                <select name="campaign">
                  <option value=""><fmt:message key="none" /></option>
                  <c:forEach var="row" varStatus="stat" items="${rsCamp.rows}">
                    <option value="${row.id}">${row.info}</option>
                  </c:forEach>
                </select> 
              </td>
              <td class="query" id="inf_name"/>
            </tr>
            <tr class="plain">
              <td class="query" colspan="3">
                <div class="right">
                  <fmt:message key="save" var="save"/>
                  <input class="boton" type="submit" value="${save}" align="middle"/>
                  <c:set var="save" value=""/>
                  <fmt:message key="reset" var="reset"/>
                  <input class="boton" type="reset" value="${reset}" align="middle"/>
                  <c:set var="reset" value=""/>
                </div>
              </td>
            </tr>
        </table>
      </c:when>
      
      <c:otherwise>
        <jsp:useBean id="camp" class="ipcontact.campaigns.fcs.NumberGenerator" scope="page">
          <c:set target="${camp}" property="campaign" value="${param.campaign}"/>
        </jsp:useBean>
        
        ${camp.cases}        
      </c:otherwise>
    </c:choose>
  </div>
</fmt:bundle>
</body>
</html>
