<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="customers">
	<c:if test="${not empty param.rows}">
			<w:where var="conds">
				<w:condition attribute="cli.id" comparator="${param.idType}" value="${param.id}"/>
				<w:condition attribute="nombre" comparator="${param.nameType}" value="${param.name}"/>
				<w:condition attribute="apellido" comparator="${param.surnameType}" value="${param.surname}"/>
				<w:condition attribute="direccion" comparator="${param.addressType}" value="${param.address}"/>
				<w:condition attribute="telefono" comparator="${param.phoneType}" value="${param.phone}"/>
				<w:condition attribute="telefono2" comparator="${param.phoneType2}" value="${param.phone2}"/>
				<w:condition attribute="telefono3" comparator="${param.phoneType3}" value="${param.phone3}"/>
				<w:condition attribute="telefono4" comparator="${param.phoneType4}" value="${param.phone4}"/>
				<w:condition attribute="telefono5" comparator="${param.phoneType5}" value="${param.phone5}"/>
				<w:condition attribute="email" comparator="${param.emailType}" value="${param.email}"/>
				<c:if test="${param.campaign != \"all\"}">
					<w:condition attribute="id_campania" value="${param.campaign}"/>
				</c:if>
				<c:if test="${sessionScope.role ne 'admin'}">
						<w:condition condition="user_id = '${sessionScope.username}'"/>		
				</c:if>
				<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
			</w:where>
			<c:choose>
				<c:when test="${sessionScope.role eq 'admin'}">	
				<sql:update var="rs" dataSource="jdbc/callcenter">
					DELETE cli FROM clientes cli 
						INNER JOIN clientes_extrainfo USING (id) 
						INNER JOIN campanias ON campanias.id = clientes_extrainfo.id_campania 
						${conds} 
				</sql:update>
				</c:when>
				<c:otherwise>
				<sql:update var="rs" dataSource="jdbc/callcenter">
					DELETE cli FROM clientes cli
						INNER JOIN clientes_extrainfo USING (id)
						INNER JOIN campanias c ON c.id = id_campania
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						${conds}
				</sql:update>
				</c:otherwise>
			</c:choose>
			<fmt:message key="listcustomers.deletedall"/>
		</c:if>	
	</fmt:bundle>
</div>
</body>
</html>
