<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>

<c:if test="${not empty param.phone_delete}">
	<sql:setDataSource dataSource="jdbc/uras" />
	 
	<c:catch var="e">
		<sql:update>
			DELETE FROM bmg_blacklist WHERE phone = '${param.phone_delete}'
		</sql:update>
	</c:catch>
		
	<c:choose>
		<c:when test="${not empty e}">
			<c:set var="message" scope="session" value="${e}"/>
			<c:set var="messageType" scope="session" value="error"/>
		</c:when>
		<c:otherwise>
			<fmt:message key="listprefixes.deleted" var="deleted">
			<fmt:param value="${param.phone}"/>
			</fmt:message>
			<c:set var="message" scope="session" value="${deleted}"/>
			<c:set var="messageType" scope="session" value="ok"/>
		</c:otherwise>
	</c:choose>
	

</c:if>


<c:url var="contact" value="listBlackListData.jsp">
	<c:param name="queue" value="${param.queue}"/>
	<c:param name="phone" value="${param.phone}"/>
	<c:param name="phoneType" value="${param.phoneType}"/>
</c:url>
<c:redirect url="${contact}"/>